package utils

import (
	"strconv"

	"github.com/pkg/errors"
)

// HexToUInt32 converts a hexadecimal to uint32
func HexToUInt32(hexadecimal string) (uint32, error) {
	id, err := strconv.ParseUint(hexadecimal, 16, 32)
	if err != nil {
		return 0, errors.WithStack(err)
	}
	return uint32(id), nil
}
